Skip to main content
POST
Plan or apply an Agent's access setup

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-31
idempotency-key
string
required
Required string length: 1 - 255

Path Parameters

agent_id
string
required
Pattern: ^agent_[0-9a-f]{32}$

Query Parameters

dry_run
enum<string>
Available options:
true,
false

Body

application/json
agent_version
integer
required
Required range: x <= 9007199254740991
acted_as
string
required
Pattern: ^prin_[0-9a-f]{32}$
environment_id
string
required
Pattern: ^env_[0-9a-f]{32}$
workflow
enum<string>
required
Available options:
acted_as,
personal
launching_api_key_id
string
Pattern: ^akey_[0-9a-f]{32}$

Response

AgentAccessSetupResult

mode
enum<string>
required
Available options:
plan,
applied
agent_id
string
required
Pattern: ^agent_[0-9a-f]{32}$
agent_version
integer
required
Required range: x <= 9007199254740991
acted_as
string
required
Pattern: ^prin_[0-9a-f]{32}$
environment_id
string
required
Pattern: ^env_[0-9a-f]{32}$
workflow
enum<string>
required
Available options:
acted_as,
personal
harness
object
required
edges
object[]
required